Extend version check to cover XULRunner 2.0 and 2.0.1 - closes: #631053
authorBen Hutchings <ben@decadent.org.uk>
Mon, 20 Jun 2011 01:47:36 +0000 (02:47 +0100)
committerBen Hutchings <ben@decadent.org.uk>
Mon, 20 Jun 2011 02:17:06 +0000 (03:17 +0100)
ChangeLog
browser_widget.cpp
debian/changelog

index f627f95..f405a5a 100644 (file)
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,6 +1,6 @@
 videolink (1.2.11) UNRELEASED; urgency=low
 
-  * Add support for XULRunner 2.0 (beta)
+  * Add support for XULRunner 2.0b-2.0.1
   * Add support for dvdauthor 0.7
 
  -- Ben Hutchings <ben@decadent.org.uk>  Thu, 03 Mar 2011 02:35:49 +0000
index d45970a..cff4a7d 100644 (file)
@@ -542,6 +542,9 @@ browser_widget::initialiser::initialiser()
 #elif MOZ_VERSION_EQ(2,0,-1) || MOZ_VERSION_EQ(2,0,0)
        "2.0b", PR_TRUE,
        "2.0.1", PR_FALSE
+#elif MOZ_VERSION_EQ(2,0,1)
+       "2.0.1", PR_TRUE,
+       "2.0.2", PR_FALSE
 #else
 #error "version is unsupported, but you could try continuing the pattern above"
 #endif
index f9ee272..cbbbd28 100644 (file)
@@ -1,7 +1,7 @@
 videolink (1.2.11-1) UNRELEASED; urgency=low
 
   * New upstream version
-    - Add support for XULRunner 2.0 (beta)
+    - Add support for XULRunner 2.0b-2.0.1 - closes: #631053
     - Add support for dvdauthor 0.7
   * Move back to main section, since the mpeg2video encoder has been
     enabled in ffmpeg again.  Specify a versioned dependency on ffmpeg.